IFAPI_ImportKey Struct Reference

`#include <fapi_int.h>`

## Data Fields

IFAPI_OBJECT | object
TPM2B_NAME | parent_name
IFAPI_OBJECT * | parent_object
IFAPI_OBJECT | new_object
char * | parent_path
char * | out_path
TPM2B_PRIVATE * | private
char * | jso_string
const IFAPI_PROFILE * | profile
IFAPI_KEY_TEMPLATE | public_templ
const char * | ossl_priv
TPM2B_SENSITIVE | sensitive

## Detailed Description

The data structure holding internal state of import key.

## Field Documentation

## ossl_priv

const char* ossl_priv

Private OSSL PEM key to be import.

## public_templ

IFAPI_KEY_TEMPLATE public_templ

The template for the keys public data

## sensitive

TPM2B_SENSITIVE sensitive

The sensitive part of an OSSL key.

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h